# -*- coding: utf-8 -*-
"""
    demeter database
    name:convert.py
"""
from .__load__ import *

class Convert(Model):
	__table__ = 'convert'
	__comment__ = '转换表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	site_id = Fields(type='int', comment='所属站点')
	name = Fields(type='varchar(200)', comment='文件名')
	uid = Fields(type='varchar(200)', comment='上传者')
	file_id = Fields(type='varchar(100)', comment='源文件id')
	file_type = Fields(type='int', default='1', comment='源文件是否收费1收费2不收费')
	file_size = Fields(type='varchar(200)', comment='源文件大小')
	file = Fields(type='varchar(500)', comment='源文件路径')
	key = Fields(type='varchar(100)', comment='文件key')
	ext = Fields(type='varchar(20)', comment='后缀名')
	local = Fields(type='varchar(200)', comment='本地地址')
	pdf = Fields(type='varchar(200)', comment='本地pdf地址')
	path = Fields(type='varchar(200)', comment='本地html目录')
	html = Fields(type='varchar(200)', comment='本地html首页地址')
	url = Fields(type='varchar(200)', comment='生成的html的url')
	page = Fields(type='int', comment='页数')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	status = Fields(type='int', default='1', comment='转换状态1待机2转换中3转换完成4转换失败')
	cdate = Fields(type='int', default='time', comment='创建时间')