# -*- coding: utf-8 -*-
"""
    demeter database
    name:user.py
"""
from .__load__ import *

class User(Model):
	__table__ = 'user'
	__comment__ = '用户权限验证表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	site_id = Fields(type='int', comment='所属站点')
	uid = Fields(type='varchar(200)', comment='用户ID')
	convert_id = Fields(type='int', comment='转换id')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	status = Fields(type='int', default='2', comment='权限类型1为作者2为购买者，只要该数据表有值则代表有权限访问所有文件')
	cdate = Fields(type='int', default='time', comment='创建时间')