# -*- coding: utf-8 -*-
"""
    demeter database
    name:signature.py
"""
from .__load__ import *

class Signature(Model):
	__table__ = 'signature'
	__comment__ = 'signature记录表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	site_id = Fields(type='int', comment='所属站点')
	signature = Fields(type='varchar(500)', comment='signature')
	cdate = Fields(type='int', default='time', comment='创建时间')