# -*- coding: utf-8 -*-
"""
    demeter database
    name:site.py
"""
from .__load__ import *

class Site(Model):
	__table__ = 'site'
	__comment__ = '站点主表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='站点ID')
	name = Fields(type='varchar(50)', comment='站点名')
	link = Fields(type='varchar(200)', comment='站点网址')
	appid = Fields(type='varchar(150)', comment='appid')
	appsecret = Fields(type='varchar(300)', comment='appsecret')
	page = Fields(type='int', comment='默认显示多少页')
	sdate = Fields(type='int', comment='开始时间')
	edate = Fields(type='int', comment='结束时间')
	api = Fields(type='varchar(300)', comment='通知接口')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')